> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Directory

> List directory contents.



## OpenAPI

````yaml /sprites/api/openapi.json get /v1/sprites/{name}/fs/list
openapi: 3.1.0
info:
  title: Sprites API
  version: 0.1.12
  x-sprite-env-version: v0.0.1-rc48
servers:
  - url: https://api.sprites.dev
security: []
paths:
  /v1/sprites/{name}/fs/list:
    get:
      tags:
        - Filesystem
      summary: List Directory
      description: List directory contents.
      operationId: sprite_env_list__directory
      parameters:
        - in: path
          name: name
          required: true
          schema:
            type: string
        - description: Path to the directory to list
          in: query
          name: path
          required: true
          schema:
            description: Path to the directory to list
            type: string
        - description: Working directory for resolving relative paths
          in: query
          name: workingDir
          required: true
          schema:
            description: Working directory for resolving relative paths
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListResponse'
          description: Success
        '404':
          description: Not Found - Resource not found
        '500':
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    ListResponse:
      properties:
        count:
          type: integer
        entries:
          items:
            $ref: '#/components/schemas/Entry'
          type: array
        path:
          type: string
      required:
        - path
        - entries
        - count
      type: object
    Entry:
      properties:
        isDir:
          type: boolean
        modTime:
          format: date-time
          type: string
        mode:
          type: string
        name:
          type: string
        path:
          type: string
        size:
          type: integer
        type:
          type: string
      required:
        - name
        - path
        - type
        - size
        - mode
        - modTime
        - isDir
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````